package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/9/25
 */
public class StudentDemoGroupListDto {

    @ApiModelProperty(value = "试听课ID",required = false)
    private Long demoGroupId;

    @ApiModelProperty(value = "用户ID",required = false)
    private Long userId;

    @ApiModelProperty(value = "用户名称",required = false)
    private String userName;

    @ApiModelProperty(value = "用户头像",required = false)
    private String avatar;

    @ApiModelProperty(value = "简介",required = false)
    private String introduction;

    @ApiModelProperty(value = "授课次数",required = false)
    private Integer numberOfClasses;

    @ApiModelProperty(value = "科目名称列表，逗号分隔",required = false)
    private String subjectList;

    public Long getDemoGroupId() {
        return demoGroupId;
    }

    public void setDemoGroupId(Long demoGroupId) {
        this.demoGroupId = demoGroupId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public Integer getNumberOfClasses() {
        return numberOfClasses;
    }

    public void setNumberOfClasses(Integer numberOfClasses) {
        this.numberOfClasses = numberOfClasses;
    }

    public String getSubjectList() {
        return subjectList;
    }

    public void setSubjectList(String subjectList) {
        this.subjectList = subjectList;
    }
}
